## sra-sdk 2.8.2-3+dfsg

=== debian/changelog ===
sra-sdk (2.8.2-3+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
  * cme fix dpkg-control
  * Standards-Version: 4.1.1
  * debhelper 10
  * renamed function to resolve name clash with gnutards to avoid
    FTBFS with glibc 2.25
    Closes: #882349
  * Drop test that should not run as root

 -- Andreas Tille <tille@debian.org>  Mon, 04 Dec 2017 08:29:02 +0100
