## sra-sdk 2.8.2-5+dfsg

=== debian/changelog ===
sra-sdk (2.8.2-5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2018 15:44:10 +0100
