=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libhdf5-dev,
                libmagic-dev,
                libxml2-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sra-sdk.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/sra-sdk.git
 Homepage: https://github.com/ncbi/sra-tools/
