## sra-sdk 2.9.1-1+dfsg

=== debian/changelog ===
sra-sdk (2.9.1-1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Set Build-Depends: libncbi-vdb-dev (>=2.9.1) to avoid undefined symbol
    errors

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Thu, 05 Jul 2018 19:13:15 +0300

sra-sdk (2.9.1-1+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * New Build-Depends: libvdb-sqlite-dev, versioned Build-Depends
    libncbi-vdb-dev (>= 2.9.0)
  * Exclude strangely failing test align-cache (needs investigation)

  [ Liubov Chuprikova ]
  * Add autopkgtest
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sun, 01 Jul 2018 08:22:54 +0200
