=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               libngs-sdk-dev,
-               libncbi-vdb-dev,
+Build-Depends: debhelper (>= 11~),
+               libngs-sdk-dev (>= 2.9.0),
+               libncbi-vdb-dev (>= 2.9.1),
+               libvdb-sqlite-dev,
                libfuse-dev,
                libhdf5-dev,
                libmagic-dev,
-               libxml2-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sra-sdk.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/sra-sdk.git
+               libxml2-dev,
+               python
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/sra-sdk
+Vcs-Git: https://salsa.debian.org/med-team/sra-sdk.git
 Homepage: https://github.com/ncbi/sra-tools/
 
 Package: sra-toolkit
